[package]
name = "demostf-build-bundlers"
version = "0.1.0"
edition = "2021"

[dependencies]
lightningcss = { version = "1.0.0-alpha.61", features = ["browserslist", "visitor"] }
base64 = "0.21.0"
urlencoding = "2.1.2"
swc_common = { version = "18.0.0", features = ["tty-emitter", "concurrent"] }
swc_core = { version = "53.0.1" }
swc_bundler = { version = "39.0.0" }
swc_ecma_loader = { version = "18.0.0", features = ["node", "cache"] }
swc_ecma_ast = { version = "19.0.0" }
swc_atoms = { version = "9.0.0", features = [] }
swc_ecma_parser = { version = "31.0.0", features = ["typescript"] }
swc_ecma_codegen = { version = "21.0.0" }
swc_ecma_transforms_base = { version = "34.0.0" }
swc_ecma_transforms_typescript = { version = "37.0.0" }
swc_ecma_visit = { version = "19.0.0" }
anyhow = "1.0.70"
jsx-dom-expressions = { version = "0.1", git = "https://github.com/icewind1991/swc-plugin-jsx-dom-expressions", branch = "fix-builtin-import" }
#jsx-dom-expressions = { version = "0.1", git = "https://github.com/milomg/swc-plugin-jsx-dom-expressions" }
#jsx-dom-expressions = { version = "0.1", path = "../../../../rust/swc-plugin-jsx-dom-expressions" }
rand = "0.10.0"
fnv = "1.0.7"

